Menu

## MinionDamageEvent extends BattleEvent
in package

MinionDamageEvent.php : 12

Battle event that represents damage to a minion.

### Table of Contents

$damage : mixed
$message : mixed
$target : mixed
$applied : mixed
__construct() : mixed
  Construct a MinionDamageEvent against $target, with damage $damage and message $message.
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.

### Properties

#### $damage

MinionDamageEvent.php : 15
`protected mixed $damage`

#### $message

MinionDamageEvent.php : 16
`protected mixed $message`

#### $target

MinionDamageEvent.php : 14
`protected mixed $target`

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

### Methods

#### __construct()

MinionDamageEvent.php : 27

Construct a MinionDamageEvent against $target, with damage $damage and message $message.

`public __construct(FighterInterface $target, int $damage, string $message) : mixed`

$message can contain '{target}' and '{amount}' which will be replaced by the name of the target and the damage, respectively.

##### Parameters

$target : FighterInterface
$damage : int
$message : string

##### Return values

mixed —

#### apply()

MinionDamageEvent.php : 60

Applies the event.

`public apply() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### decorate()

MinionDamageEvent.php : 40

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

inheritDoc

##### Return values

string —

## Search results